﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }


@media print {
    /*printで適用する内容*/
}


.checkbox {
    transform: scale(3.9);
    margin-left: 13px;
    margin-top: 19px;
}

.ef-title {
    font-size: 22px;
    color: #0366d6;
    font-weight: bold;
}

.ef-input {
    font-size: 22px;
}

.ef-box {
    text-align: center;
    border: 7px solid;
    width: 165px;
}



/*黄 SF(RequiredBackColor)*/
.ef-bg-yellow {
    background-color: #ffffcc;
}

.ef-btn-yellow {
    color: #000;
    background-color: #ffffcc;
    border-color: #ffffcc;
}

.ef-btn-yellow:hover {
    color: #000;
    background-color: #ffffcc;
    border-color: #ffffcc;
}

.ef-bg-yellow-badge {
    background-color: #ffffcc;
    color:#fff;
}


/*赤 SF(RowDeleteBackColor)*/
.ef-bg-red {
    background-color: #FA7D5A;
}

.ef-btn-red {
    color: #fff;
    background-color: #FA7D5A;
    border-color: #FA7D5A;
}

.ef-btn-red:hover {
    color: #fff;
    background-color: #FA7D5A;
    border-color: #FA7D5A;
}



.ef-bg-red-badge {
    background-color: #FA7D5A;
    color: #fff;
}

/*青 SF(ButtonBackColor)*/
.ef-bg-blue {
    background-color: #90a0ff;
}

.ef-btn-blue {
    color: #fff;
    background-color: #90a0ff;
    border-color: #90a0ff;
}

.ef-btn-blue:hover {
    color: #fff;
    background-color: #90a0ff;
    border-color: #90a0ff;
}



/*灰色 SF(FormBackColor)*/
.ef-bg-gray {
    
    background-color: #cccccc;
}

.ef-btn-gray {
    color: #000;
    background-color: #cccccc;
    border-color: #cccccc;
}

.ef-btn-gray:hover {
    color: #000;
    background-color: #cccccc;
    border-color: #cccccc;
}

.ef-bg-gray-badge {
    background-color: #cccccc;
}


/*新規発注*/
.ef-hach {
    background-color: #aaaacc;
}

.ef-hach-border {
    border-color: #aaaacc;
}

/*連携済*/
.ef-renki {
    background-color: #ccccaa;
}

.ef-renki-border {
    border-color: #ccccaa;
}

/*受注承認*/
.ef-syonn {
    background-color: #aaccaa;
}

.ef-syonn-border {
    border-color: #aaccaa;
}

/*分納中*/
.ef-bnnu {
    background-color: #ccaacc;
}

.ef-bnnu-border {
    border-color: #ccaacc;
}

/*出荷済*/
.ef-shk {
    background-color: #ccaaaa;
}

.ef-shk-border {
    border-color: #ccaaaa;
}

.ef-width-all {
    width: 870px;
}

.ef-width-half {
    width: 425px;
}

.ef-width-3half {
    width: 275px;
}

.ef-grid-font{
    font-size: 20px;
}

.ef-border-bottom {
    border-bottom: dotted 1px #cccccc;
    margin-top: 5px;
    margin-bottom: 5px;
}

.ef-sub-color{
    color:#777;
}

.table td, .table th {
    padding: .75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
    padding-left: 10px;
    padding-right: 5px;
}

.nav-link {
    display: block;
    /* padding: .5rem 1rem; */
    padding-left: 5px;
}

.ef-main-title {
    font-size: 36px;
    font-weight: bold;
}
